Bug 828597 - [abrt] ibus-hangul-1.4.1-2.fc16: main.py:184:on_value_changed:TypeError: 'NoneType' object is not iterable
[abrt] ibus-hangul-1.4.1-2.fc16: main.py:184:on_value_changed:TypeError: 'Non...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus-hangul (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
abrt_hash:b2b2ffe5168223429e63dfff934...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 20:40 EDT by Kenichi Takemura
Modified: 2014-08-04 18:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 20:47:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix ibus-hangul-setup race condition (768 bytes, patch)
2012-06-05 03:29 EDT, Daiki Ueno
no flags Details | Diff

  None (edit)
Description Kenichi Takemura 2012-06-04 20:40:11 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/share/ibus-hangul/setup/main.py
executable:     /usr/share/ibus-hangul/setup/main.py
kernel:         3.3.7-1.fc16.x86_64
reason:         main.py:184:on_value_changed:TypeError: 'NoneType' object is not iterable
time:           Tue 05 Jun 2012 10:36:11 AM EST
uid:            1000
username:       ktakemur

backtrace:
:main.py:184:on_value_changed:TypeError: 'NoneType' object is not iterable
:
:Traceback (most recent call last):
:  File "/usr/share/ibus-hangul/setup/main.py", line 184, in on_value_changed
:    for i in model:
:TypeError: 'NoneType' object is not iterable
:
:Local variables in innermost frame:
:name: 'HangulKeyboard'
:data: None
:section: 'engine/Hangul'
:value: <GLib.Variant('ro')>
:model: None
:config: <Config object at 0x1e250f0 (IBusConfig at 0x1e5f8e0)>
:self: <__main__.Setup instance at 0x1e172d8>

comment:
:1. Activate ibus
:2. Select language to IBusHangul
:3. Click setup and change Keyboard Layout to 'Romaja'
Comment 1 Daiki Ueno 2012-06-05 03:29:49 EDT
Created attachment 589420 [details]
patch to fix ibus-hangul-setup race condition

Thanks for the report.  If you are able to reproduce it constantly, could you try the attached patch?  So it can be proposed to the upstream.
Comment 2 Fedora Update System 2012-06-06 05:34:23 EDT
ibus-hangul-1.4.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-hangul-1.4.1-3.fc17
Comment 3 Fedora Update System 2012-06-06 05:34:34 EDT
ibus-hangul-1.4.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-hangul-1.4.1-3.fc16
Comment 4 Kenichi Takemura 2012-06-06 19:53:25 EDT
Hi Daiki

I tested ibus-hang ibus-hangul-1.4.1-3.fc16.x86_64 but the problem still exists.
Comment 5 Daiki Ueno 2012-06-06 21:34:27 EDT
I suspect you are seeing a different problem.  Could you try adding the following line:

value = value.get_string()

at the beginning of on_value_changed function in /usr/share/ibus-hangul/setup/main.py?
Comment 6 Kenichi Takemura 2012-06-07 00:26:38 EDT
Hi Daiki

I added the code and restarted ibus then tested but the same result.
Still happens.
Comment 7 Daiki Ueno 2012-06-07 03:57:55 EDT
Thanks for testing.  Hmm, I can no longer reproduce it with 1.4.1-3 plus comment 5 fix.  Could you check if the backtrace is the same as the original one?
Comment 8 Kenichi Takemura 2012-06-07 06:56:52 EDT
I am c'n'p'ng the backtrace.


main.py:186:on_value_changed:TypeError: 'NoneType' object is not iterable

Traceback (most recent call last):
  File "/usr/share/ibus-hangul/setup/main.py", line 186, in on_value_changed
    for i in model:
TypeError: 'NoneType' object is not iterable

Local variables in innermost frame:
name: 'HangulKeyboard'
data: None
section: 'engine/Hangul'
value: 'ro'
model: None
config: <Config object at 0x1d2c0f0 (IBusConfig at 0x1d658e0)>
self: <__main__.Setup instance at 0x1d1d2d8>
Comment 9 Fedora Update System 2012-06-07 18:56:19 EDT
Package ibus-hangul-1.4.1-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-hangul-1.4.1-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9016/ibus-hangul-1.4.1-3.fc17
then log in and leave karma (feedback).
Comment 10 Daiki Ueno 2012-06-08 05:15:20 EDT
OK, probably got it (it was my mistake in ibus-hangul-setup-gi.patch, sorry for inconvenience).  Could you try 1.4.1-4?
http://koji.fedoraproject.org/koji/buildinfo?buildID=322983
Comment 11 Fedora Update System 2012-06-10 21:47:41 EDT
ibus-hangul-1.4.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-hangul-1.4.1-4.fc17
Comment 12 Fedora Update System 2012-06-10 21:47:48 EDT
ibus-hangul-1.4.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-hangul-1.4.1-4.fc16
Comment 13 Fedora Update System 2012-06-15 08:20:35 EDT
Package ibus-hangul-1.4.1-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-hangul-1.4.1-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9450/ibus-hangul-1.4.1-4.fc17
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2012-06-25 20:47:17 EDT
ibus-hangul-1.4.1-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-06-25 20:48:15 EDT
ibus-hangul-1.4.1-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.